### Method

# Ide Task return_boolean

#### Declaration

    void
    ide_task_return_boolean (
      IdeTask* self,
      gboolean result
    )

#### Description

Sets the result of the task to `result`.

Other tasks depending on the result will be notified after returning to the `GMainContext` of the task.

Available since: | 3.32

#### Parameters

`result` | `gboolean`
| The result for the task.